/* Buttons & Input Submit Styles */
button, input[type="submit"] {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: var(--spacing-20) var(--spacing-60);
    font: var(--font-buttons);
    color: var(--text);
    position: relative;
    width: fit-content;
    border: none;
    border-radius: var(--radius-20);
    background: transparent;
    overflow: hidden;
    outline: none !important;
}

@media (max-width: 1023px) {
    button {
        width: 100%;
        border-radius: var(--radius-15);
    }
}


/* Red */
button.red,
a.red {
    color: var(--white);
    background: var(--gradient-red);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: var(--spacing-20) var(--spacing-60);
    font: var(--font-buttons);
    position: relative;
    width: fit-content;
    border: none;
    border-radius: var(--radius-20);
    overflow: hidden;
    outline: none !important;
}

button.red::after,
a.red::after {
    content: "";
    position: absolute;
    inset: 0;
    margin: auto;
    transition: var(--transition-medium);
}

button.red::after,
a.red::after {
    background: var(--gradient-red-2);
    opacity: 0;
}

button.red:hover::after,
a.red:hover::after {
    opacity: 1;
}

button.red span,
a.red span {
    position: relative;
    z-index: 1;
    white-space: nowrap;
}

/* Arrow */
button.arrow,
a.arrow {
    padding: var(--spacing-20) 0;
    gap: var(--spacing-18);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font: var(--font-buttons);
    color: var(--text);
    position: relative;
    width: fit-content;
    border: none;
    border-radius: var(--radius-20);
    background: transparent;
    overflow: hidden;
    outline: none !important;
}

button.arrow:hover,
a.arrow:hover {
    gap: var(--spacing-24);
}


/* White */
button.white {
    color: var(--text);
    background: var(--white);
}

button.white:hover {
    background: var(--white-85);
}


/* Radio */
button.radio {
    background-color: var(--blue-100-10);
    color: var(--text);
    padding: calc(6 * var(--rpx)) calc(54 * var(--rpx));
    border-radius: var(--radius-20);
    font: var(--font-p1);
}

button.radio:hover {
    background-color: var(--blue-100-25);
}

button.radio.active {
    background-color: var(--blue-100);
    color: var(--white);
}

/* File */
button.file {
    background-color: var(--text);
    color: var(--white-70);
    padding: calc(6 * var(--rpx)) calc(20 * var(--rpx));
    border-radius: var(--radius-20);
    font: var(--font-input);
}

button.file:hover {
    background-color: var(--text-70);
}

/* File Min */
button.fileMin {
    padding: 0;
    border-radius: 0;
}

/* Outline */
button.outline,
a.outline {
    color: var(--white);
    border: calc(var(--rpx) * 1) solid var(--white);
    background: transparent;
    padding: calc(13 * var(--rpx)) calc(35 * var(--rpx));
    font-size: calc(14 * var(--rpx));
    border-radius: calc(13 * var(--rpx));
}

/* Low */
button.low {
    padding: calc(3 * var(--rpx)) calc(19 * var(--rpx));
    background-color: var(--blue-100-10);
    color: var(--text);
    font: var(--font-p1);
    border-radius: var(--radius-20);
}

button.low:hover,
button.low.active {
    background-color: var(--blue-100);
    color: var(--white);
}




@media (max-width: 1023px) {
    button.file {
        padding: 8px;
        font-size: 11px;
    }
}